## org.apache.ivy.core.event
Class EventManager

    java.lang.Object
      org.apache.ivy.core.event.EventManager

All Implemented Interfaces:
  java.util.EventListener, TransferListener

    public class EventManager

extends java.lang.Object
implements TransferListener

Constructor Summary
`EventManager()`

Method Summary
`void` `addIvyListener(IvyListener listener)`
`void` `addIvyListener(IvyListener listener, Filter filter)`
`void` `addIvyListener(IvyListener listener, java.lang.String eventName)`
`void` `addTransferListener(TransferListener listener)`
`void` `fireIvyEvent(IvyEvent evt)`
`protected void` `fireTransferEvent(TransferEvent evt)`
`boolean` `hasIvyListener(IvyListener listener)`
`boolean` `hasTransferListener(TransferListener listener)`
`void` `removeIvyListener(IvyListener listener)`
`void` `removeTransferListener(TransferListener listener)`
`void` `transferProgress(TransferEvent evt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventManager

    public EventManager()

Method Detail

### addIvyListener

    public void addIvyListener(IvyListener listener)

### addIvyListener

    public void addIvyListener(IvyListener listener,
                               java.lang.String eventName)

### addIvyListener

    public void addIvyListener(IvyListener listener,
                               Filter filter)

### removeIvyListener

    public void removeIvyListener(IvyListener listener)

### hasIvyListener

    public boolean hasIvyListener(IvyListener listener)

### fireIvyEvent

    public void fireIvyEvent(IvyEvent evt)

### addTransferListener

    public void addTransferListener(TransferListener listener)

### removeTransferListener

    public void removeTransferListener(TransferListener listener)

### hasTransferListener

    public boolean hasTransferListener(TransferListener listener)

### fireTransferEvent

    protected void fireTransferEvent(TransferEvent evt)

### transferProgress

    public void transferProgress(TransferEvent evt)

  Specified by:
    `transferProgress` in interface `TransferListener`